Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4822 - libraries do not get installed
Summary: libraries do not get installed
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Powertools
Classification: Retired
Component: lesstif
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Powers
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-01 11:03 UTC by arto.selonen
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-13 00:40:30 UTC


Attachments (Terms of Use)

Description arto.selonen 1999-09-01 11:03:21 UTC
When doing a 'rpm -Uvvvh lesstif-0.88.0-1.i386.rpm',
all the files listed by 'rpm -qpl lesstif-0.88.0-1.i386.rpm'
seem to get installed. However, the files
	/usr/X11R6/lib/libMrm.so.2
	/usr/X11R6/lib/libMrm.so.2.0
	/usr/X11R6/lib/libXm.so.2
	/usr/X11R6/lib/libXm.so.2.0
do not show up at all. Here is what I see:

root@host% rpm -Uvvvh lesstif-0.88.0-1.i386.rpm
D: counting packages to install
D: found 1 packages
D: looking for packages to download
D: retrieved 0 packages
D: New Header signature
D: Signature size: 236
D: Signature pad : 4
D: sigsize         : 240
D: Header + Archive: 291206
D: expected size   : 291206
D: opening database mode 0x42 in //var/lib/rpm/
D: found 0 source and 1 binary packages
D: dependencies: looking for /sbin/ldconfig
D: installing binary packages
D: New Header signature
D: Signature size: 236
D: Signature pad : 4
D: sigsize         : 240
D: Header + Archive: 291206
D: expected size   : 291206
D: package: lesstif-0.88.0-1 files test = 0
D:    file: /usr/X11R6/lib/libMrm.so.2 action: create
D:    file: /usr/X11R6/lib/libMrm.so.2.0 action: create
D:    file: /usr/X11R6/lib/libXm.so.2 action: create
D:    file: /usr/X11R6/lib/libXm.so.2.0 action: create
[blah blah blah]
D: running preinstall script (if any)
lesstif
##################################################
D: running postinstall script (if any)

And looking at the directory:
root@host% ls /usr/X11R6/lib/libXm.* /usr/X11R6/lib/libMrm.*
ls: No match.

I couldn't find the files from anywhere else either.

Here's the package info for your reference:
root@host% rpm -qpi lesstif-0.88.0-1.i386.rpm
Name        : lesstif                      Relocations: (not
relocateable)
Version     : 0.88.0                            Vendor: Red
Hat Software
Release     : 1                             Build Date: Sat
May  8 07:04:21 1999
Install date: (not installed)               Build Host:
porky.devel.redhat.com
Group       : Development/Libraries         Source RPM:
lesstif-0.88.0-1.src.rpm
Size        : 1218048                          License: GPL
Packager    : Red Hat Software
<http://developer.redhat.com/bugzilla>
URL         : http://www.lesstif.org/products/lesstif/
Summary     : An OSF/Motif(R) clone.

aselonen@medusa% rpm --checksig lesstif-0.88.0-1.i386.rpm
lesstif-0.88.0-1.i386.rpm: size (PGP) md5 OK

Comment 1 Tim Powers 1999-09-01 14:20:59 UTC
Get the latest version of lesstif at
rawhide.redhat.com/rawhide/powertools and in the arch that you have.
The latest one *should* install properly.

Tim


Note You need to log in before you can comment on or make changes to this bug.